org.springframework.cloud.dataflow.server.db.migration.db2

## Class V1__Initial_Setup

- java.lang.Object
- - org.flywaydb.core.api.migration.BaseJavaMigration
  - - org.springframework.cloud.dataflow.common.flyway.AbstractMigration
    - - org.springframework.cloud.dataflow.server.db.migration.AbstractInitialSetupMigration
      - - org.springframework.cloud.dataflow.server.db.migration.db2.V1__Initial_Setup

- All Implemented Interfaces:
    org.flywaydb.core.api.migration.JavaMigration

      public class V1__Initial_Setup
      extends AbstractInitialSetupMigration

  Initial schema setup for `db2`.
  Author:
    Janne Valkealahti

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CREATE_APP_REGISTRATION_TABLE`
    `static String` | `CREATE_AUDIT_RECORDS_TABLE`
    `static String` | `CREATE_BATCH_JOB_EXECUTION_CONTEXT_TABLE`
    `static String` | `CREATE_BATCH_JOB_EXECUTION_PARAMS_TABLE`
    `static String` | `CREATE_BATCH_JOB_EXECUTION_SEQUENCE`
    `static String` | `CREATE_BATCH_JOB_EXECUTION_TABLE`
    `static String` | `CREATE_BATCH_JOB_INSTANCE_TABLE`
    `static String` | `CREATE_BATCH_JOB_SEQUENCE`
    `static String` | `CREATE_BATCH_STEP_EXECUTION_CONTEXT_TABLE`
    `static String` | `CREATE_BATCH_STEP_EXECUTION_SEQUENCE`
    `static String` | `CREATE_BATCH_STEP_EXECUTION_TABLE`
    `static String` | `CREATE_STREAM_DEFINITIONS_TABLE`
    `static String` | `CREATE_TASK_DEFINITIONS_TABLE`
    `static String` | `CREATE_TASK_DEPLOYMENT_TABLE`
    `static String` | `CREATE_TASK_EXECUTION_PARAMS_TABLE`
    `static String` | `CREATE_TASK_EXECUTION_TABLE`
    `static String` | `CREATE_TASK_LOCK_TABLE`
    `static String` | `CREATE_TASK_TASK_BATCH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `V1__Initial_Setup()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.springframework.cloud.dataflow.common.flyway.SqlCommand>` | `createAppRegistrationTable()` Creates the app registration table.
    `List<org.springframework.cloud.dataflow.common.flyway.SqlCommand>` | `createAuditRecordsTable()` Creates the audit records table.
    `List<org.springframework.cloud.dataflow.common.flyway.SqlCommand>` | `createBatchTables()` Creates the batch tables.
    `List<org.springframework.cloud.dataflow.common.flyway.SqlCommand>` | `createHibernateSequence()` Creates the hibernate sequence.
    `List<org.springframework.cloud.dataflow.common.flyway.SqlCommand>` | `createStreamDefinitionsTable()` Creates the stream definitions table.
    `List<org.springframework.cloud.dataflow.common.flyway.SqlCommand>` | `createTaskDefinitionsTable()` Creates the task definitions table.
    `List<org.springframework.cloud.dataflow.common.flyway.SqlCommand>` | `createTaskDeploymentTable()` Creates the task deployment table.
    `List<org.springframework.cloud.dataflow.common.flyway.SqlCommand>` | `createTaskTables()` Creates the task tables.

    - ### Methods inherited from class org.springframework.cloud.dataflow.server.db.migration.AbstractInitialSetupMigration

      `getCommands`

    - ### Methods inherited from class org.springframework.cloud.dataflow.common.flyway.AbstractMigration

      `migrate`

    - ### Methods inherited from class org.flywaydb.core.api.migration.BaseJavaMigration

      `canExecuteInTransaction, getChecksum, getDescription, getVersion, isUndo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CREATE_APP_REGISTRATION_TABLE

          public static final String CREATE_APP_REGISTRATION_TABLE

      See Also:
        Constant Field Values

    - #### CREATE_AUDIT_RECORDS_TABLE

          public static final String CREATE_AUDIT_RECORDS_TABLE

      See Also:
        Constant Field Values

    - #### CREATE_STREAM_DEFINITIONS_TABLE

          public static final String CREATE_STREAM_DEFINITIONS_TABLE

      See Also:
        Constant Field Values

    - #### CREATE_TASK_DEFINITIONS_TABLE

          public static final String CREATE_TASK_DEFINITIONS_TABLE

      See Also:
        Constant Field Values

    - #### CREATE_TASK_DEPLOYMENT_TABLE

          public static final String CREATE_TASK_DEPLOYMENT_TABLE

      See Also:
        Constant Field Values

    - #### CREATE_TASK_EXECUTION_TABLE

          public static final String CREATE_TASK_EXECUTION_TABLE

      See Also:
        Constant Field Values

    - #### CREATE_TASK_EXECUTION_PARAMS_TABLE

          public static final String CREATE_TASK_EXECUTION_PARAMS_TABLE

      See Also:
        Constant Field Values

    - #### CREATE_TASK_TASK_BATCH

          public static final String CREATE_TASK_TASK_BATCH

      See Also:
        Constant Field Values

    - #### CREATE_TASK_LOCK_TABLE

          public static final String CREATE_TASK_LOCK_TABLE

      See Also:
        Constant Field Values

    - #### CREATE_BATCH_JOB_INSTANCE_TABLE

          public static final String CREATE_BATCH_JOB_INSTANCE_TABLE

      See Also:
        Constant Field Values

    - #### CREATE_BATCH_JOB_EXECUTION_TABLE

          public static final String CREATE_BATCH_JOB_EXECUTION_TABLE

      See Also:
        Constant Field Values

    - #### CREATE_BATCH_JOB_EXECUTION_PARAMS_TABLE

          public static final String CREATE_BATCH_JOB_EXECUTION_PARAMS_TABLE

      See Also:
        Constant Field Values

    - #### CREATE_BATCH_STEP_EXECUTION_TABLE

          public static final String CREATE_BATCH_STEP_EXECUTION_TABLE

      See Also:
        Constant Field Values

    - #### CREATE_BATCH_STEP_EXECUTION_CONTEXT_TABLE

          public static final String CREATE_BATCH_STEP_EXECUTION_CONTEXT_TABLE

      See Also:
        Constant Field Values

    - #### CREATE_BATCH_JOB_EXECUTION_CONTEXT_TABLE

          public static final String CREATE_BATCH_JOB_EXECUTION_CONTEXT_TABLE

      See Also:
        Constant Field Values

    - #### CREATE_BATCH_STEP_EXECUTION_SEQUENCE

          public static final String CREATE_BATCH_STEP_EXECUTION_SEQUENCE

      See Also:
        Constant Field Values

    - #### CREATE_BATCH_JOB_EXECUTION_SEQUENCE

          public static final String CREATE_BATCH_JOB_EXECUTION_SEQUENCE

      See Also:
        Constant Field Values

    - #### CREATE_BATCH_JOB_SEQUENCE

          public static final String CREATE_BATCH_JOB_SEQUENCE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### V1__Initial_Setup

          public V1__Initial_Setup()

  - ### Method Detail

    - #### createHibernateSequence

          public List<org.springframework.cloud.dataflow.common.flyway.SqlCommand> createHibernateSequence()

      Description copied from class: `AbstractInitialSetupMigration`
      Creates the hibernate sequence.
      Specified by:
        `createHibernateSequence` in class `AbstractInitialSetupMigration`
      Returns:
        the sql command

    - #### createAppRegistrationTable

          public List<org.springframework.cloud.dataflow.common.flyway.SqlCommand> createAppRegistrationTable()

      Description copied from class: `AbstractInitialSetupMigration`
      Creates the app registration table.
      Specified by:
        `createAppRegistrationTable` in class `AbstractInitialSetupMigration`
      Returns:
        the list of sql commands

    - #### createTaskDeploymentTable

          public List<org.springframework.cloud.dataflow.common.flyway.SqlCommand> createTaskDeploymentTable()

      Description copied from class: `AbstractInitialSetupMigration`
      Creates the task deployment table.
      Specified by:
        `createTaskDeploymentTable` in class `AbstractInitialSetupMigration`
      Returns:
        the list of sql commands

    - #### createAuditRecordsTable

          public List<org.springframework.cloud.dataflow.common.flyway.SqlCommand> createAuditRecordsTable()

      Description copied from class: `AbstractInitialSetupMigration`
      Creates the audit records table.
      Specified by:
        `createAuditRecordsTable` in class `AbstractInitialSetupMigration`
      Returns:
        the list of sql commands

    - #### createStreamDefinitionsTable

          public List<org.springframework.cloud.dataflow.common.flyway.SqlCommand> createStreamDefinitionsTable()

      Description copied from class: `AbstractInitialSetupMigration`
      Creates the stream definitions table.
      Specified by:
        `createStreamDefinitionsTable` in class `AbstractInitialSetupMigration`
      Returns:
        the list of sql commands

    - #### createTaskDefinitionsTable

          public List<org.springframework.cloud.dataflow.common.flyway.SqlCommand> createTaskDefinitionsTable()

      Description copied from class: `AbstractInitialSetupMigration`
      Creates the task definitions table.
      Specified by:
        `createTaskDefinitionsTable` in class `AbstractInitialSetupMigration`
      Returns:
        the list of sql commands

    - #### createTaskTables

          public List<org.springframework.cloud.dataflow.common.flyway.SqlCommand> createTaskTables()

      Description copied from class: `AbstractInitialSetupMigration`
      Creates the task tables.
      Specified by:
        `createTaskTables` in class `AbstractInitialSetupMigration`
      Returns:
        the list of sql commands

    - #### createBatchTables

          public List<org.springframework.cloud.dataflow.common.flyway.SqlCommand> createBatchTables()

      Description copied from class: `AbstractInitialSetupMigration`
      Creates the batch tables.
      Specified by:
        `createBatchTables` in class `AbstractInitialSetupMigration`
      Returns:
        the list of sql commands

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.